고객
고객 목록 조회
인증된 조직의 고객 목록을 생성 시각 내림차순으로 조회합니다. q는 고객 이름과 식별자 값에서 대소문자 구분 없이 일부 일치 항목을 찾습니다. 메모는 검색하지 않습니다. 목록에는 metadata와 interaction_summary가 없습니다. 전체 프로필과 인터랙션 요약은 고객 단건 조회에서 확인합니다.
GET
/
customers
고객 목록 조회
curl --request GET \
--url https://client-api.tryvox.co/v3/customers \
--header 'Authorization: Bearer <token>'import requests
url = "https://client-api.tryvox.co/v3/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://client-api.tryvox.co/v3/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"attributes": {},
"created_at": 123,
"updated_at": 123,
"identifiers": [
{
"id": "<string>",
"identifier_type": "<string>",
"identifier_value": "<string>",
"created_at": 123
}
],
"name": "<string>",
"note": "<string>"
}
],
"total_count": 123,
"next_cursor": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "Request validation failed.",
"details": {
"field": "name",
"reason": "must not be blank"
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "Authentication is required.",
"details": {}
}
}{
"error": {
"code": "FORBIDDEN",
"message": "Permission denied.",
"details": {}
}
}{
"error": {
"code": "RESOURCE_NOT_FOUND",
"message": "Resource not found.",
"details": {
"resource": "agent"
}
}
}{
"error": {
"code": "CONFLICT",
"message": "The requested operation conflicts with current state.",
"details": {
"current_status": "draft"
}
}
}{
"error": {
"code": "RATE_LIMIT_EXCEEDED",
"message": "Too many requests.",
"details": {
"limit": 5,
"window_seconds": 1
}
}
}{
"error": {
"code": "INTERNAL_ERROR",
"message": "Internal server error.",
"details": {}
}
}{
"error": {
"code": "SERVICE_UNAVAILABLE",
"message": "Service temporarily unavailable.",
"details": {}
}
}Authorizations
조직 API 키를 Authorization: Bearer <token> 형식으로 보냅니다.
Query Parameters
고객 이름 또는 식별자 값에서 대소문자를 구분하지 않고 일부 일치 항목을 찾는 검색어입니다.
이전 응답의 next_cursor 값입니다. 다음 페이지를 조회할 때 그대로 전달합니다.
반환할 최대 항목 수입니다. v3 목록 endpoint는 1~100을 허용합니다.
Required range:
1 <= x <= 100Was this page helpful?
Previous
고객 생성인증된 조직에 고객을 생성합니다. 식별자가 하나 이상 필요합니다. 식별자 값은 유형에 맞게 정규화됩니다. 값이 올바르지 않으면 400 `VALIDATION_ERROR`를 반환합니다. 같은 `(type, value)`를 이미 사용 중이면 409 `CUSTOMER_IDENTIFIER_EXISTS`를 반환하며 고객을 생성하지 않습니다. 중복 고객은 생성 후 병합할 수 있습니다.
Next
⌘I
고객 목록 조회
